<?php

namespace src;

abstract class Animal
{
    public string $type = "animal";

    public $eyes;

    public int $paws = 0;

    public int $heart = 0;

    public function walk(): void
    {
        $this->paws++;
    }

    abstract public function makeSound(): void;

    /**
     * @return void
     */
    public function beating(): void
    {
        $this->heart++;
    }

}